
import random
import venv

def create_random_venv(directory):
    """
    Create a random virtual environment with a random package installed.
    """
    # Generate a random package name
    package_name = ''.join(random.choices('abcdefghijklmnopqrstuvwxyz', k=6))
    
    # Create the virtual environment
    venv.create(directory)
    
    # Activate the virtual environment (for demonstration purposes)
    # Note: This would typically require the user to activate the environment manually
    # in their shell or using the venv command.
    
    # Install the random package
    import subprocess
    subprocess.run([f'{directory}/bin/pip', 'install', package_name], check=True)
    
    return directory

